// Author 		: F. de la Parra
// Date			: January, 2019
// Description 	: This program will use the class "Scanner", in
//				  the "java.util" package, to input numbers and 
//				  strings from the keyboard.
// Version		: 1.0

// Make class "Scanner" visible to this program.
import java.util.Scanner;

// Class "ConsoleInput" implements this program.
public class ConsoleInput {
	
	// Static method "main" executes main program flow.
	// It can only call static methods in ConsoleInput.
	public static void main(String[] args) {
		
		// Create a "consoleInObject" object to be able to
		// invoke instance methods in "ConsoleInput".
		ConsoleInput consoleInObject = new ConsoleInput();
		
		// Invoke instance method "consoleIn" in "ConsoleInput" class.
		consoleInObject.consoleIn();
		
	} // End of "main" method.
	
	// Instance method "consoleIn" reads number or a string from the
	// keyboard and displays it on the console.
	public void consoleIn() {
		
		// Create a "keyboard" object of type "Scanner" to process
		// input from the keyboard.
		Scanner keyboard = new Scanner(System.in);
		
		// Prompt a user to enter a name, and display it on the console.
		System.out.println("Enter your first name:");
		String firstName = keyboard.next();
		System.out.println("Name entered is " + firstName);
		
		// Prompt a user to enter an integer (room number)
		System.out.println("\nEnter a room number (3 digits): ");
		int roomNumber = keyboard.nextInt();
		System.out.println("Room number entered is " + roomNumber);
		
		// Prompt a user to enter an integer (room number)
		System.out.println("\nEnter a price (format xx.yy): ");
		float price = keyboard.nextFloat();
		System.out.println("Price entered is " + price);
		
		System.out.println("\n*** End of console input/output demo ***");
		
	} // End of method "consoleIn".

} // End of class "ConsoleInput"